package com.example.iot_controlhost.model;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;

import java.util.Date;

/**
 * 蚕期
 */
public class SilkwormNew {
    /**
     * 共育编码
     * 用于服务器开始共育结束共育的识别，作用类似于开始/结束作业
     */
    private String id;
    /**
     * 蚕季名
     */
    private String name;

    /**
     * 开始日期
     */
    private Date StartDate;
    /**
     * 结束日期
     */
    private Date EndDate;
    /**
     * 数量
     */
    private double number;
    /**
     * 品种
     */
    private String variety;

    public SilkwormNew() {
    }

    public SilkwormNew(String id, String name, Date startDate, Date endDate, double number, String variety) {
        this.id = id;
        this.name = name;
        StartDate = startDate;
        EndDate = endDate;
        this.number = number;
        this.variety = variety;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getStartDate() {
        return StartDate;
    }

    public void setStartDate(Date startDate) {
        StartDate = startDate;
    }

    public Date getEndDate() {
        return EndDate;
    }

    public void setEndDate(Date endDate) {
        EndDate = endDate;
    }

    public double getNumber() {
        return number;
    }

    public void setNumber(double number) {
        this.number = number;
    }

    public String getVariety() {
        return variety;
    }

    public void setVariety(String variety) {
        this.variety = variety;
    }
}
